import javax.swing.*;

public class robottest
{  public static void main(String args[])
   {robot R2D2=new robot("aRtuDitu");
    robot z2=new robot("ali",1.0,90.0);
    robot z3=new robot(R2D2);
    String s="";
    R2D2.turn_north();R2D2.forward();s+=R2D2.toString();
    R2D2.turn_west();R2D2.forward(2.0);s+=R2D2.toString();
    z2.turn_east();z2.forward(3.0);s+=z2.toString();
    z2.turn_south();z2.forward();s+=z2.toString();
    s+="copy robot : "+z3.toString();
    JOptionPane.showMessageDialog(null,s, "robot class test",JOptionPane.PLAIN_MESSAGE);
   }
}